﻿Namespace ColorTables

    Public Class Vs2010DefaultTabControlColorTable
        Inherits Vs2010TabControlColorTable

        Private _CommonColorTable As Vs2010CommonColorTable

        Public Sub New()
            _CommonColorTable = New Vs2010DefaultCommonColorTable()
        End Sub

        Public Overrides ReadOnly Property CommonColorTable As Vs2010CommonColorTable
            Get
                Return _CommonColorTable
            End Get
        End Property

        Public Overrides ReadOnly Property CloseButtonBorder As System.Drawing.Color
            Get
                Return Color.FromArgb(229, 195, 101)
            End Get
        End Property

        Public Overrides ReadOnly Property CloseButtonClickedBackColor As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 232, 166)
            End Get
        End Property

        Public Overrides ReadOnly Property CloseButtonHoverBackColor As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 252, 244)
            End Get
        End Property

        Public Overrides ReadOnly Property Background As System.Drawing.Color
            Get
                Return Color.FromArgb(43, 60, 88)
            End Get
        End Property

        Public Overrides ReadOnly Property BackgroundDotsLight As System.Drawing.Color
            Get
                Return Color.FromArgb(53, 73, 106)
            End Get
        End Property

        Public Overrides ReadOnly Property BackgroundDotsDark As System.Drawing.Color
            Get
                Return Color.FromArgb(41, 57, 85)
            End Get
        End Property

        Public Overrides ReadOnly Property InactiveColor As System.Drawing.Color
            Get
                Return Color.FromArgb(69, 89, 125)
            End Get
        End Property

        Public Overrides ReadOnly Property Border As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 236, 181)
            End Get
        End Property

        Public Overrides ReadOnly Property HoveringHeaderGradientBottom As System.Drawing.Color
            Get
                Return Color.FromArgb(53, 73, 106)
            End Get
        End Property

        Public Overrides ReadOnly Property HoveringHeaderGradientTop As System.Drawing.Color
            Get
                Return Color.FromArgb(111, 119, 118)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedHeaderGradientBottom As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 236, 181)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedHeaderGradientMiddle As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 244, 208)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedHeaderGradientTop As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 252, 242)
            End Get
        End Property

        Public Overrides ReadOnly Property HoveringHeaderBorder As System.Drawing.Color
            Get
                Return Color.FromArgb(155, 167, 183)
            End Get
        End Property
    End Class

End Namespace